/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * Original Code is Martin Kutschker's code.
 *
 * The Initial Developer of the Original Code is Martin Kutschker.
 *
 * Copyright (c) 2001-2002 Martin Kutschker. All rights reserved.
 *
 * Contributor(s): 
 *   Martin Kutschker <Martin.T.Kutschker@blackbox.net> (Original Author)
 */


function initStore()
{
    try {
        netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
    }
    catch (e) {
       //avoid annoying popups....
       //user may have purposefully disabled it
       // alert("No XPConnect privileges - memory and history not available");
       return;
    }

    var url = window.location.protocol + "//" + window.location.host;
    var filename = window.location.pathname;
    filename = filename.substr(0,filename.lastIndexOf('/'));
    url += filename;

    gStorageRootRDF = new RDF(url+"/storageRoot.rdf",
                              "urn:storage",
                              "http://mozcalc.mozdev.org/rdf#");
    if (!gStorageRootRDF.dsource) {
       //avoid annoying popups....
       //user may have purposefully disabled it
       //alert("Could not access RDF root file - memory and history not available");
       return;
    }

    getInMemoryStorage();

    attachStore();
}

function loadStore()
{
    // fetch cookies
}

function saveStore()
{
    if (gStorageRDF && gStorageRDF.loaded)
    {
        // set cookies
    }
}
