// Module Author: Chris Pederick / Biju G.C. 2003.0625 
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Alternate License: GPL (The all time latest at http://www.gnu.org/copyleft/gpl.html ) 
// Homepage: http://quicktools.mozdev.org/
//
// Change Log :
// 2003.07.28 - Biju G.C. 
//   - Copied from Quick Tools and changed to fit for mozCalc

var author              = "Martin Kutschker";
var displayName         = "mozCalc";
var name                = "mozcalc";
var version             = "2003.1013.0";

var hostapplist         = "Mozilla/FireBird/ThunderBird";

var installContent      = true;
var installLocale       = true;
var installSkin         = true;

var jarName             = "mozcalc.jar"

var appchrome           = getFolder("Chrome");
var userchrome          = getFolder("Current User", "chrome");

var installtype         = PROFILE_CHROME;
var destjar;
var destfolder          = userchrome;
var existsInProfile     = File.exists(getFolder(userchrome, jarName));
var existsInApplication = File.exists(getFolder(appchrome, jarName));

var msgTitle            = displayName + " (" +version + ")\n\n"

var msgLocationChk      = "Select Install Location for " + msgTitle 
                        + "Do you want to install the extension into your profile folder?\n"
                        + "[OK] ______ to install in your Personal Profile folder\n"
                        + "[Cancel] ___ will install into the Application folder"

var msgSuccess          = "Success : " + msgTitle +  "Extension has been successfully installed!\n\n"
                        + "You must restart\n" + hostapplist + "\nto complete installation!"

var msgFail             = "Failed : " + msgTitle +  "The installation of the extension failed.\nError : " 


var installthis = true;


if (existsInProfile || existsInApplication)  existmessage();


if(installthis)
{

  initInstall(displayName, name, version);

  if(existsInApplication || (!existsInProfile && !confirm(msgLocationChk)))
  {
    installtype = DELAYED_CHROME;
    destfolder  = appchrome;
  }

  setPackageFolder(destfolder);
  addFile(name, jarName, destfolder, "");

  destjar = getFolder(destfolder, jarName);


  installContent && registerChrome(CONTENT | installtype, destjar, "content/");

  installLocale  && registerChrome(LOCALE  | installtype, destjar, "locale/en-US/")
  //installLocale  && registerChrome(LOCALE  | installtype, destjar, "locale/de-AT/");

  installSkin    && registerChrome(SKIN    | installtype, destjar, "skin/modern/");
  installSkin    && registerChrome(SKIN    | installtype, destjar, "skin/classic/");

  if(getLastError() == SUCCESS)
  {
    performInstall();
    alert(msgSuccess);
  }
  else
  {
    cancelInstall(getLastError());
    alert(msgFail + getLastError());
  }

}


function existmessage()
{
  var s;
  s = "STOP !!!\n"
    + "\n"
    + "Found previous installation of this extension.\n"
    + "\n"
    + "You are strongly recommended to read instruction\n"
    + 'for updating/reinstalling this extension in "Known Issues Page" at\n'
    + "http://quicktools.mozdev.org/issues.html\n"
    + "\n"
    + "\n"
    + "Do you want Continue installation?\n"
    + "[OK] ______ to Continue \n"
    + "[Cancel] ___ to STOP installation";

   if (confirm(s))   { 
     installthis  = true;
   }  else {
     alert("Successfully STOPED Installation.");
     installthis  = false;
   }
}